public static interface ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterBuilders
| Modifier and Type | Method and Description |
|---|---|
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
zookeeperMaster(String path)
ZooKeeper Master (camel-zookeeper-master)
Have only a single consumer in a cluster consuming from a given
endpoint; with automatic failover if the JVM dies.
|
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
zookeeperMaster(String componentName,
String path)
ZooKeeper Master (camel-zookeeper-master)
Have only a single consumer in a cluster consuming from a given
endpoint; with automatic failover if the JVM dies.
|
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder zookeeperMaster(String path)
zookeeper-master:groupName:consumerEndpointUri
Path parameter: groupName (required)
The name of the cluster group to use
Path parameter: consumerEndpointUri (required)
The consumer endpoint to use in master/slave modepath - groupName:consumerEndpointUridefault ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder zookeeperMaster(String componentName, String path)
zookeeper-master:groupName:consumerEndpointUri
Path parameter: groupName (required)
The name of the cluster group to use
Path parameter: consumerEndpointUri (required)
The consumer endpoint to use in master/slave modecomponentName - to use a custom component name for the endpoint
instead of the default namepath - groupName:consumerEndpointUriApache Camel